Skip to main content
API referenceProviders

Provider Detail

Last updated

GET
/api/v1/providers/{slug}

Fetch per-provider detail.

Path Parameters

slug*string
Match^[a-z0-9-]+$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/providers/string"
{  "data": {    "contract_version": "2026-06-29.1",    "endpoint_summary": {      "by_kind": {},      "by_layer": {},      "by_provider": {},      "by_publication_state": {},      "by_status": {},      "endpoint_count": 1,      "monitored_count": 1,      "pool_eligible_count": 1    },    "generated_at": "2026-06-01T00:00:00.000Z",    "notes": "Example description.",    "provider": {      "authority": "official",      "cluster_id": "example",      "contact_url": "https://api.metagraph.sh/example",      "docs_url": "https://api.metagraph.sh/example",      "endpoint_count": 1,      "github_url": "https://api.metagraph.sh/example",      "id": "example-subnet",      "kind": "subnet-team",      "logo_url": "https://api.metagraph.sh/example",      "name": "Example Subnet",      "netuids": [        7      ],      "notes": "Example description.",      "public_notes": "example",      "schema_version": 1,      "social": {},      "subnet_count": 1,      "surface_count": 1,      "team_url": "https://api.metagraph.sh/example",      "website_url": "https://api.metagraph.sh/example"    },    "schema_version": 1  },  "meta": {    "artifact_path": "example",    "cache": "short",    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "pagination": {      "collection": "example",      "cursor": 1,      "limit": 1,      "next_cursor": 1,      "order": "asc",      "returned": 1,      "sort": "example",      "total": 1    },    "published_at": "2026-06-01T00:00:00.000Z",    "source": "live-cron-prober",    "stale_contract": {      "built_under": "example",      "live": "example"    }  },  "ok": true,  "schema_version": 1}